0 Пользователей и 1 Гость просматривают эту тему.
  • 7 Ответов
  • 543 Просмотров
*

Treant

  • Новичок
  • 4
  • 0 / 0
При попытке открыть quickstart по теме в Joomla, браузер выдает следующую ошибку :
Fatal error: Cannot use Joomla\String\String as String because 'String' is a special class name in D:\OSPanel\domains\toxajoomla.loc\libraries\vendor\joomla\registry\src\Format\Json.php on line 12
Подскажите, пожалуйста, что делать?
*

SeBun

  • Живу я здесь
  • 3953
  • 253 / 4
  • @SeBun48
Подскажите, пожалуйста, что делать?
Проверить, какая версия PHP должна быть и какая у вас стоит на опенсервере. Это в настройках - модули.
Оказываю услуги по Joomla | Миграция на Joomla 3.x | Сопровождение | IT-аутсорсинг | Недорогие домены и хостинг
*

Treant

  • Новичок
  • 4
  • 0 / 0
Проверить, какая версия PHP должна быть и какая у вас стоит на опенсервере. Это в настройках - модули.
А как проверить неодходимую версия php для этого модуля?
*

SeBun

  • Живу я здесь
  • 3953
  • 253 / 4
  • @SeBun48
А как проверить неодходимую версия php для этого модуля?
Обычно эта информация выложена на сайте разработчика. Ну или там, откуда вы это добро скачали. Переключите на php 5.6, заработает?
Оказываю услуги по Joomla | Миграция на Joomla 3.x | Сопровождение | IT-аутсорсинг | Недорогие домены и хостинг
*

gartes

  • Завсегдатай
  • 1475
  • 118 / 5
  • Е = mс²
*

Treant

  • Новичок
  • 4
  • 0 / 0
Обычно эта информация выложена на сайте разработчика. Ну или там, откуда вы это добро скачали. Переключите на php 5.6, заработает?
На сайте не нашел, поставил php 5.6 и apache, под него, но все равно выдает ту же ошибку. С другими quickstart-ми та же проблема. Не подскажете где найти шаблоны с quickstart, поддерживающие php 7.3 или что ещё можно сделать в этой ситуации?
*

Treant

  • Новичок
  • 4
  • 0 / 0
Обычно эта информация выложена на сайте разработчика. Ну или там, откуда вы это добро скачали. Переключите на php 5.6, заработает?
Подключил PostGreSQL и заработало, спасибо огромное.
*

SeBun

  • Живу я здесь
  • 3953
  • 253 / 4
  • @SeBun48
С другими quickstart-ми та же проблема. Не подскажете где найти шаблоны с quickstart, поддерживающие php 7.3
Казалось бы, вопрос решен и тему можно закрыть. Но что то мне подсказывает, что вам лучше ознакомиться с вот этим материалом.
Оказываю услуги по Joomla | Миграция на Joomla 3.x | Сопровождение | IT-аутсорсинг | Недорогие домены и хостинг
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

Вышел релиз безопасности Joomla 3.9.21

Автор zikkuratvk

Ответов: 4
Просмотров: 673
Последний ответ 18.10.2020, 11:34:54
от zikkuratvk
Вышел релиз Joomla 3.9.22

Автор ezheck

Ответов: 1
Просмотров: 125
Последний ответ 18.10.2020, 03:15:11
от ezheck
Не даёт обновить Joomla в шаблоне Bruno youjoomla

Автор Memfis09

Ответов: 29
Просмотров: 1062
Последний ответ 15.10.2020, 08:34:00
от NewUsers
Белый экран Joomla 3.7.2 при переходе на PHP 7.Х

Автор stimyl

Ответов: 9
Просмотров: 1608
Последний ответ 10.10.2020, 02:36:29
от v42bis
Ошибка при переходе на PHP 7.0

Автор OlgaS

Ответов: 22
Просмотров: 5004
Последний ответ 09.10.2020, 19:20:51
от AlexB